Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class EscherRecordHolder

    java.lang.Object
      org.apache.poi.hwpf.model.EscherRecordHolder

    public final class EscherRecordHolder

extends java.lang.Object

Based on AbstractEscherRecordHolder from HSSF.

Author:
  Squeeself

Constructor Summary
`EscherRecordHolder()`
`EscherRecordHolder(byte[] data, int offset, int size)`

Method Summary
`org.apache.poi.ddf.EscherRecord` | `findFirstWithId(short id)` Descends into all our children, returning the first EscherRecord with the given id, or null if none found
`java.util.List` | `getBStoreContainers()`
`java.util.List` | `getDgContainers()`
`java.util.List` | `getDggContainers()`
`org.apache.poi.ddf.EscherContainerRecord` | `getEscherContainer()` If we have a EscherContainerRecord as one of our children (and most top level escher holders do), then return that.
`java.util.List` | `getEscherRecords()`
`java.util.List` | `getSpContainers()`
`java.util.List` | `getSpgrContainers()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EscherRecordHolder

    public EscherRecordHolder()

### EscherRecordHolder

    public EscherRecordHolder(byte[] data,
                              int offset,
                              int size)

Method Detail

### getEscherRecords

    public java.util.List getEscherRecords()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEscherContainer

    public org.apache.poi.ddf.EscherContainerRecord getEscherContainer()

  If we have a EscherContainerRecord as one of our children (and most top level escher holders do), then return that.

### findFirstWithId

    public org.apache.poi.ddf.EscherRecord findFirstWithId(short id)

  Descends into all our children, returning the first EscherRecord with the given id, or null if none found

### getDgContainers

    public java.util.List getDgContainers()

### getDggContainers

    public java.util.List getDggContainers()

### getBStoreContainers

    public java.util.List getBStoreContainers()

### getSpgrContainers

    public java.util.List getSpgrContainers()

### getSpContainers

    public java.util.List getSpContainers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD